/******************************************************************************\
**
**     COMPANY:	LDW
**
**      MODULE:	theToolTray
**
** DESCRIPTION:	Manages slots in the tool tray
**
**      AUTHOR:	Adrian Francis
**
\******************************************************************************/

#ifndef THE_TOOL_TRAY_H
#define THE_TOOL_TRAY_H

/******************************************************************************\
** LIBRARY INCLUDES
\******************************************************************************/
#include "theGameState.h"

/******************************************************************************\
** CONSTANT DEFINITIONS
\******************************************************************************/
const int theToolTray_c_iTopLeftX = 2;
const int theToolTray_c_iTopLeftY = 170;
const int theToolTray_c_iSlotWidth = 45;
const int theToolTray_c_iSlotHeight = 80;
 
/******************************************************************************\
** CLASS DEFINITIONS
\******************************************************************************/
class theToolTray
{
private:

	// class data
	static theToolTray *		m_Instance;

	theGameState *				m_pGameState;

	//class methods
	//setup
	public:		theToolTray(void);

	public:		static theToolTray *Get(void);
	public:		static void Destroy(void);

	//process
	public:		const int SelectTool(const int iCursorX, const int iCursorY);
	public:		void Draw(const int iExceptFor);

	//access
};

#endif

/******************************************************************************\
** END OF FILE
\******************************************************************************/